%define name Xdebug
%define xdebugversion 2.0.5
%define version 5.2.8
%define release 1
%define phpdir /usr/bin/php5

# Hack to stop failing on /usr/lib/debug/usr/lib/php5/xdebug.so.debug
%define _unpackaged_files_terminate_build 0 

Summary: Xdebug for php5-cgi
Name: php5-cgi-%{name}
Version: %{version}_%{xdebugversion}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
URL: http://www.xdebug.org
Group: SMEserver/addon
Source: xdebug-2.0.5.tgz
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: e-smith-devtools >= 1.13.1-03
BuildRequires: php5-cgi-devel = 5.2.8
Buildrequires: make
Buildrequires: autoconf
Requires: e-smith-release >= 7.0
Requires: php5-cgi = 5.2.8
AutoReqProv: no

%description
The Xdebug extension helps you debugging your script by providing a lot of valuable debug information. The debug information that Xdebug can provide 
includes the following:

* stack traces and function traces in error messages with:
  o full parameter display for user defined functions
  o function name, file name and line indications
  o support for member functions
* memory allocation
* protection for infinite recursions

Xdebug also provides:

* profiling information for PHP scripts
* code coverage analysis
* capabilities to debug your scripts interactively with a debug client

%prep
%setup -q -c %{name}-%{version}
%build
cd xdebug-%{xdebugversion}
%{phpdir}/phpize
./configure \
  --enable-xdebug \
  --with-php-config=%{phpdir}/php-config
make

%install
rm package*.xml
mkdir -p root/usr/lib/php5/
cp xdebug-%{xdebugversion}/modules/* root/usr/lib/php5/
mkdir -p root/usr/share/xdebug-%{xdebugversion}
cp xdebug-%{xdebugversion}/{Changelog,CREDITS,LICENSE,NEWS,README} root/usr/share/xdebug-%{xdebugversion}/
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
    > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%docdir root/usr/share/xdebug-%{version}

%changelog
* Fri Dec 11 2009 Jonathan Martens <smeserver-contribs@snetram.nl>
- initial release of Xdebug 2.0.5 against php5-cgi 5.2.8
